import { z } from "zod"

export const getUserInputSchema = z
  .object({
    mask: z.boolean().default(true),
  })
  .default({})

export const staysInput = z
  .object({
    cursor: z.number().optional(),
    limit: z.number().min(0).default(6),
  })
  .default({})

export const soonestUpcomingStaysInput = z
  .object({
    limit: z.number().int().positive(),
  })
  .default({ limit: 3 })

export const friendTransactionsInput = z.object({
  cursor: z.number().int().nullish(),
  limit: z.number().min(0).default(5),
})
